Bug 1030534 - Trolltech.conf corruption (style plugins cannot be loaded)
Trolltech.conf corruption (style plugins cannot be loaded)
Status: NEW
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened, Tracking
: 1047359 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 11:13 EST by Germano Massullo
Modified: 2016-11-30 19:37 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:55:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Corrupted Trolltech.conf (64.46 KB, text/plain)
2015-03-20 05:08 EDT, Enrico Tagliavini
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 314662 None None None Never

  None (edit)
Description Germano Massullo 2013-11-14 11:13:22 EST
Description of problem:
I just upgraded to KDE 4.11-3, and Oxygen theme disappeared in application appearance, then now I have all system applications using CDE theme that has been auto selected by the system.



Version-Release number of selected component (if applicable):
oxygen-icon-theme-4.11.3-1.fc19.noarch
Comment 1 Kevin Kofler 2013-11-14 16:49:17 EST
Uhm, as I said on IRC, one possible cause of this issue is a corrupt Trolltech.conf, leading to failed module loading.
Comment 2 Germano Massullo 2013-11-15 06:52:58 EST
So the question is: why the Trolltech.conf gets corrupted so many times? It already happened some months ago
Comment 3 Germano Massullo 2014-01-02 10:07:27 EST
See also
https://bugzilla.redhat.com/show_bug.cgi?id=1030534
Comment 4 Germano Massullo 2014-01-02 10:08:04 EST
Sorry I meant https://bugzilla.redhat.com/show_bug.cgi?id=1047359
Comment 5 Rex Dieter 2014-01-02 10:08:50 EST
*** Bug 1047359 has been marked as a duplicate of this bug. ***
Comment 6 Germano Massullo 2014-03-05 17:43:47 EST
Just experienced the bug on Fedora 20
Comment 7 Enrico Tagliavini 2015-03-20 05:08:23 EDT
Created attachment 1004375 [details]
Corrupted Trolltech.conf

I just got the bug in Fedora 21. This is the update that broke it:

root@quanthink ~ # dnf history info 59
Using metadata from Wed Mar 18 09:27:54 2015
Transaction ID : 59
Begin time     : Thu Mar 19 09:51:13 2015
Begin rpmdb    : 2387:2507a47363ecfda80296b07801c622fe1020d922
End time       :            09:51:32 2015 (19 seconds)
End rpmdb      : 2387:12b5ceecbc037979a64aed8123b8bb249056edea
User           : Enrico Tagliavini <enrico>
Return-Code    : Success
Command Line   : update
Transaction performed with:
    Installed     dnf-0.6.4-1.fc21.noarch    @updates
    Installed     rpm-4.12.0.1-5.fc21.x86_64 @updates
Packages Altered:
    Upgraded fail2ban-0.9.1-2.fc21.noarch                     @updates
    Upgrade           0.9.1-3.fc21.noarch                     @updates
    Upgraded fail2ban-firewalld-0.9.1-2.fc21.noarch           (unknown)
    Upgrade                     0.9.1-3.fc21.noarch           @updates
    Upgraded fail2ban-sendmail-0.9.1-2.fc21.noarch            (unknown)
    Upgrade                    0.9.1-3.fc21.noarch            @updates
    Upgraded fail2ban-server-0.9.1-2.fc21.noarch              (unknown)
    Upgrade                  0.9.1-3.fc21.noarch              @updates
    Upgraded fail2ban-systemd-0.9.1-2.fc21.noarch             @updates
    Upgrade                   0.9.1-3.fc21.noarch             @updates
    Upgraded freerdp-1:1.2.0-0.6.beta.1.fc21.1.x86_64         @updates
    Upgrade          1:1.2.0-0.6.beta.1.fc21.2.x86_64         @updates
    Upgraded freerdp-libs-1:1.2.0-0.6.beta.1.fc21.1.x86_64    @updates
    Upgrade               1:1.2.0-0.6.beta.1.fc21.2.x86_64    @updates
    Upgraded gstreamer1-plugins-bad-free-1.4.5-1.fc21.x86_64  @updates
    Upgrade                              1.4.5-2.fc21.x86_64  @updates
    Upgraded gtk-vnc2-0.5.3-6.fc21.x86_64                     (unknown)
    Upgrade           0.5.4-1.fc21.x86_64                     @updates
    Upgraded gvnc-0.5.3-6.fc21.x86_64                         (unknown)
    Upgrade       0.5.4-1.fc21.x86_64                         @updates
    Upgraded kcm_colors-4.11.15-3.fc21.x86_64                 @updates
    Upgrade             4.11.16-3.fc21.x86_64                 @updates
    Upgraded kde-style-oxygen-4.11.15-3.fc21.x86_64           @updates
    Upgrade                   4.11.16-3.fc21.x86_64           @updates
    Upgraded kde-workspace-4.11.15-3.fc21.x86_64              @updates
    Upgrade                4.11.16-3.fc21.x86_64              @updates
    Upgraded kde-workspace-libs-4.11.15-3.fc21.x86_64         @updates
    Upgrade                     4.11.16-3.fc21.x86_64         @updates
    Upgraded kdm-4.11.15-3.fc21.x86_64                        @updates
    Upgrade      4.11.16-3.fc21.x86_64                        @updates
    Upgraded kgreeter-plugins-4.11.15-3.fc21.x86_64           @updates
    Upgrade                   4.11.16-3.fc21.x86_64           @updates
    Upgraded khotkeys-4.11.15-3.fc21.x86_64                   @updates
    Upgrade           4.11.16-3.fc21.x86_64                   @updates
    Upgraded khotkeys-libs-4.11.15-3.fc21.x86_64              @updates
    Upgrade                4.11.16-3.fc21.x86_64              @updates
    Upgraded kinfocenter-4.11.15-3.fc21.x86_64                @updates
    Upgrade              4.11.16-3.fc21.x86_64                @updates
    Upgraded kmenuedit-4.11.15-3.fc21.x86_64                  @updates
    Upgrade            4.11.16-3.fc21.x86_64                  @updates
    Upgraded ksysguard-4.11.15-3.fc21.x86_64                  @updates
    Upgrade            4.11.16-3.fc21.x86_64                  @updates
    Upgraded ksysguard-libs-4.11.15-3.fc21.x86_64             @updates
    Upgrade                 4.11.16-3.fc21.x86_64             @updates
    Upgraded ksysguardd-4.11.15-3.fc21.x86_64                 @updates
    Upgrade             4.11.16-3.fc21.x86_64                 @updates
    Upgraded ktp-auth-handler-0.9.0-1.fc21.x86_64             (unknown)
    Upgrade                   0.9.0-1.fc21.1.x86_64           @updates
    Upgraded kwin-4.11.15-3.fc21.x86_64                       @updates
    Upgrade       4.11.16-3.fc21.x86_64                       @updates
    Upgraded kwin-libs-4.11.15-3.fc21.x86_64                  @updates
    Upgrade            4.11.16-3.fc21.x86_64                  @updates
    Upgraded libgcrypt-1.6.1-7.fc21.i686                      (unknown)
    Upgraded libgcrypt-1.6.1-7.fc21.x86_64                    (unknown)
    Upgrade            1.6.3-1.fc21.i686                      @updates
    Upgrade            1.6.3-1.fc21.x86_64                    @updates
    Upgraded libgcrypt-devel-1.6.1-7.fc21.x86_64              (unknown)
    Upgrade                  1.6.3-1.fc21.x86_64              @updates
    Upgraded libkworkspace-4.11.15-3.fc21.x86_64              @updates
    Upgrade                4.11.16-3.fc21.x86_64              @updates
    Upgraded libwinpr-1:1.2.0-0.6.beta.1.fc21.1.x86_64        @updates
    Upgrade           1:1.2.0-0.6.beta.1.fc21.2.x86_64        @updates
    Upgraded liveusb-creator-3.13.2-1.fc21.noarch             (unknown)
    Upgrade                  3.13.3-1.fc21.noarch             @updates
    Upgraded oxygen-cursor-themes-4.11.15-3.fc21.noarch       @updates
    Upgrade                       4.11.16-3.fc21.noarch       @updates
    Upgraded plasma-scriptengine-python-4.11.15-3.fc21.x86_64 @updates
    Upgrade                             4.11.16-3.fc21.x86_64 @updates
    Upgraded python-blivet-1:0.61.14-1.fc21.noarch            @updates
    Upgrade                1:0.61.15-1.fc21.noarch            @updates

I attached the corrupted Trolltech.conf. When I renamed it and logged in back Oxygen was available again.

Note I was logged in as my user during the update but I have no idea if this matters or not.
Comment 8 Fedora End Of Life 2015-05-29 05:45:39 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 08:55:07 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.